#include <stdio.h>
#include <stdlib.h>

int main() {
	int T, N, M, K, i, j, x, s=0;
	scanf("%d", &T);
	for(i=0;i<T;i++){
		s = 0;
		scanf("%d %d %d", &N, &M, &K);
		if(N < M){
			x = N / 2;
			N -= x;
			for(j=1;j<N;j++){
				s += i;
			}
			for(j=1;j<x;j++){
				s += i;
			}
			if(s <= M)
				printf("Tak\n");
			else
				printf("Nie\n");
		}
		else
			printf("Nie");
	}
	return 0;
}